Bug 21217 - Install fails while copying GNU libc libraries
Summary: Install fails while copying GNU libc libraries
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 02:04 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-22 02:04:42 UTC
I am installing from scratch with the text install.

I get the following error while the install is copying the libc libraries:

Kernal Panic: scsi <fdomain> fdomain_16X0_queue() not reentrant! In 
swapper task not syncing

Hardware:

Gateway Pentium 90
Adaptec 2920 SCSI Card
Seagate 4 Gig Baracuda harddrive

I did try the gui install but that just freezes in the same place.

Comment 1 Bill Nottingham 2000-11-22 05:09:51 UTC
That would be a kernel bug. Reassigning there.

Comment 2 Perry Harrington 2000-12-07 08:06:44 UTC
It would appear that the bug is in fdomain_16x0_queue.  The driver purports to
support scattergather, but the function does not.  When a second call to queue
(scatter) a command is executed, it causes a panic.  S/G is defined by the
ability to have multiple commands pending at once.  Since fdomain_16x0_queue
doesn't allow multiple commands to execute simultaneously, it invokes this
error.  The driver was a forward port of an older driver, fd_mcs.c.  The driver
is clearly lockstepped with interrupt processing to work correctly (see
fdomain_16x0_command).  The driver indicates that the hardware has the ability
to support queued commands.

Driver appears to not be aware of the new Scsi_Host flags.  It should set
host_busy or host_blocked instead of panicing.

End result is that driver is crufty and needs updating to work reliably.  The
workaround is to set can_queue to 1, to tell the scsi subsystem that it's using
an interrupt lockstepped command processing mechanism.

Comment 3 Need Real Name 2001-11-05 04:41:42 UTC
I am willing to send a AHA2920 card to RedHat (Or the developer) if I can get 
a fix. I have been hitting my head against the wall for months trying to get 
this to work! 

cl@xganon.com

Comment 4 Arjan van de Ven 2001-11-05 09:05:43 UTC
cl@xganon.com: please file a separate report with more information.

Comment 5 Bugzilla owner 2004-09-30 15:38:51 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.